%define anolis_release 31
Summary:        Line wrapping with support for several locale setups
Name:           perl-Text-WrapI18N
Version:        0.06
Release:        %{anolis_release}%{?dist}
License:        GPL+ or Artistic

URL:            http://search.cpan.org/dist/Text-WrapI18N/
Source0:        http://search.cpan.org/CPAN/authors/id/K/KU/KUBOTA/Text-WrapI18N-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl(Exporter)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(Test::Simple)
BuildRequires:  perl(Text::CharWidth) >= 0.02
BuildRequires:  perl(strict)
BuildRequires:  perl(vars)
BuildRequires:  perl(warnings)
 
%{?perl_default_filter}

%description
This is a module which intends to substitute Text::Wrap,
which supports internationalized texts including:
 - multi-byte encodings such as UTF-8, EUC-JP, EUC-KR, GB2312, and Big5,
 - full width characters like east Asian characters which appear in
   UTF-8, EUC-JP, EUC-KR, GB2312, Big5, and so on,
 - combining characters like diacritical marks which appear in UTF-8,
   ISO-8859-11 (aka TIS-620), and so on, and
 - languages which don't use white spaces between words, like Chinese
   and Japanese.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n Text-WrapI18N-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%{perl_vendorlib}/Text
%{_mandir}/man3/Text::WrapI18N.3pm*

%files doc
%doc README Changes

%changelog
* Tue Jan 31 2023 Funda Wang <fundawang@yeah.net> - 0.06-31
- Import package for anolis 23
